ClasspathPattern (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.webapp

## Class ClasspathPattern

- java.lang.Object
- - org.eclipse.jetty.webapp.ClasspathPattern

-     public class ClasspathPattern
      extends Object

  ClasspathPattern performs sequential pattern matching of a class name against an internal array of classpath pattern entries. When an entry starts with '-' (minus), reverse matching is performed. When an entry ends with '.' (period), prefix matching is performed. When class is initialized from a classpath pattern string, entries in this string should be separated by ':' (semicolon) or ',' (comma).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClasspathPattern()`
    `ClasspathPattern(String pattern)`
    `ClasspathPattern(String[] patterns)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPattern(String pattern)` Parse a classpath pattern string and appending the result to the existing configuration.
    `String[]` | `getPatterns()`
    `boolean` | `match(String name)` Match the class name against the pattern
    `void` | `setPattern(String pattern)` Initialize the matcher by parsing a classpath pattern string

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClasspathPattern

          public ClasspathPattern()

    - #### ClasspathPattern

          public ClasspathPattern(String[] patterns)

    - #### ClasspathPattern

          public ClasspathPattern(String pattern)

  - ### Method Detail

    - #### setPattern

          public void setPattern(String pattern)

      Initialize the matcher by parsing a classpath pattern string
      Parameters:
        `pattern` - classpath pattern string

    - #### addPattern

          public void addPattern(String pattern)

      Parse a classpath pattern string and appending the result to the existing configuration.
      Parameters:
        `pattern` - classpath pattern string

    - #### getPatterns

          public String[] getPatterns()

      Returns:
        array of classpath patterns

    - #### match

          public boolean match(String name)

      Match the class name against the pattern
      Parameters:
        `name` - name of the class to match
      Returns:
        true if class matches the pattern

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.